DK API 文档

threads

12 个接口

GETfetch post comments

GET https://dkai.store/api/v1/threads/web/fetch_post_comments

2 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_post_comments?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail

GET https://dkai.store/api/v1/threads/web/fetch_post_detail

2 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_post_detail?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail v2

GET https://dkai.store/api/v1/threads/web/fetch_post_detail_v2

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_post_detail_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/threads/web/fetch_user_info

2 积分 / 成功调用

参数位置要求说明
usernamequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_user_info?username=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info by id

GET https://dkai.store/api/v1/threads/web/fetch_user_info_by_id

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_user_info_by_id?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user posts

GET https://dkai.store/api/v1/threads/web/fetch_user_posts

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_user_posts?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user replies

GET https://dkai.store/api/v1/threads/web/fetch_user_replies

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_user_replies?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user reposts

GET https://dkai.store/api/v1/threads/web/fetch_user_reposts

2 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/fetch_user_reposts?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch posts

GET https://dkai.store/api/v1/threads/web/search_posts

2 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/search_posts?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch profiles

GET https://dkai.store/api/v1/threads/web/search_profiles

2 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/search_profiles?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch recent

GET https://dkai.store/api/v1/threads/web/search_recent

2 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/search_recent?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch top

GET https://dkai.store/api/v1/threads/web/search_top

2 积分 / 成功调用

参数位置要求说明
queryquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/threads/web/search_top?query=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。